{ final, prev, ... }:
let old = prev.eww;
in final.rustPlatform.buildRustPackage rec {
  pname = "eww";
  version = "8661abf2bf07f5a809fc995233d93810cc1ac871";

  src = prev.fetchFromGitHub {
    owner = "elkowar";
    repo = "eww";
    rev = "${version}";
    hash = "sha256-q82u3/pcP5T++TMdDmaeDKYuCyky1Bo5BjHY1/NVHbY=";
  };

  cargoHash = "sha256-wKTaskKRyPfzKSLxhfyn6DybmUVFMHV5MrixKUBhno4=";

  nativeBuildInputs = old.nativeBuildInputs;
  buildInputs = old.buildInputs ++ [ final.libdbusmenu-gtk3 ];

  cargoBuildFlags = old.cargoBuildFlags;
  cargoTestFlags = old.cargoTestFlags;

  RUSTC_BOOTSTRAP = 1;
}
